%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	C library for the Flickr API
Name:		flickcurl
Version:	1.22
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/File transfer
URL:		http://librdf.org/flickcurl/
Source0:	http://download.dajobe.org/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	curl-devel
BuildRequires:	libxml2-devel >= 2.6.8
# Optional
BuildRequires:	raptor2-devel >= 2.0.0

%description
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.

This package contains some utility programs using the %{name} library.


%package	-n %{libname}
Summary:	C library for the Flickr API
Group:		System/Libraries

%description -n %{libname}
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.


%package	-n %{develname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}flickcurl0-devel < 1.21-2

%description	-n %{develname}
This package contains the developement files for the %{name} library.


%prep
%setup -q

%build
%configure2_5x --with-raptor=2 --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc LICENSE-2.0.txt LICENSE.html AUTHORS
%doc NEWS NEWS.html README README.html ChangeLog coverage.html
%{_bindir}/%{name}
%{_bindir}/flickrdf
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/flickrdf.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%doc NOTICE
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1.*
%{_datadir}/gtk-doc/html/flickcurl


%changelog

* Sat Jan 07 2012 sander85 <sander85> 1.22-1.mga2
+ Revision: 192884
- new version: 1.22

* Sun Nov 20 2011 fwang <fwang> 1.21-2.mga2
+ Revision: 169637
- fix build with latest curl
- build with raptor2

* Tue Jun 28 2011 sander85 <sander85> 1.21-1.mga2
+ Revision: 115425
- new version: 1.21
- clean spec
- imported package flickcurl

